Bug 144269 - Add --bind and --move support to the nash builtin mount command
Add --bind and --move support to the nash builtin mount command
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 08:51 EST by Kasper Dupont
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 17:35:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add --bind and --move support to nash builtin mount command (1.06 KB, patch)
2005-01-05 08:52 EST, Kasper Dupont
no flags Details | Diff

  None (edit)
Description Kasper Dupont 2005-01-05 08:51:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
If you want to use a subdirectory of a filesystem as your root, a
bindmount is needed before pivot_root. It is quite simple to add
--bind and --move support to nash.

Version-Release number of selected component (if applicable):
mkinitrd-3.5.22-1

How reproducible:
Always

Steps to Reproduce:
1. nash --force
2. mount --bind -t none /mnt /mnt


Actual Results:  (forcing normal run)
Red Hat nash version 3.5.22 starting
mount --bind -t none /mnt /mnt
mount: error 19 mounting none


Expected Results:  nash sets up a bindmount:

(forcing normal run)
Red Hat nash version 3.5.22 starting
mount --bind -t none /mnt /mnt


Additional info:

I'll attach a patch in a moment. After that I'll try to enhance the
mkinitrd script to make use of this new feature.
Comment 1 Kasper Dupont 2005-01-05 08:52:37 EST
Created attachment 109366 [details]
Add --bind and --move support to nash builtin mount command
Comment 2 Matthew Miller 2005-04-26 12:26:17 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.